/**
 * /assets/scss/partials/base/mixins.scss
 *
 * Let's define our universal mixins for use throughout the theme
 */
/**
 * Base text styles
 */
/**
 * Base button styles
 */
/**
 * Button reset
 */
/**
 * Label styles
 */
/**
 * Transitions
 */
.block-faq__toggle-question-icon::before, .block-faq__toggle-question-icon::after {
  transition: all 0.2s ease-in-out;
}

/**
 * Placeholder Color
 */
/**
 * Media queries
 */
.block-faq {
  display: block;
  width: 100%;
}
.block-faq__toggle {
  width: 100%;
  position: relative;
  margin-bottom: var(--wp--custom--spacing--block-gap);
  background-color: var(--wp--preset--color--background-2);
}
.block-faq__toggle-question {
  width: 100%;
  padding: 16px 82px 16px 32px;
  margin: 0;
  background-color: transparent;
  border: none;
  text-align: left;
  cursor: pointer;
}
.block-faq__toggle-question-icon {
  position: absolute;
  right: 14px;
  top: 4px;
  width: 40px;
  height: 40px;
  border: none;
  background-color: transparent;
}
.block-faq__toggle-question-icon::before, .block-faq__toggle-question-icon::after {
  content: "";
  position: absolute;
  width: 20px;
  height: 2px;
  top: calc(50% - 1px);
  right: 10px;
  border-radius: 2px;
  background-color: var(--wp--preset--color--main);
}
.block-faq__toggle-question-icon::after {
  transform: rotate(90deg);
}
.block-faq__toggle-question[aria-expanded=true] .block-faq__toggle-question-icon::before {
  opacity: 0;
}
.block-faq__toggle-question[aria-expanded=true] .block-faq__toggle-question-icon::after {
  transform: rotate(0);
}
.block-faq__toggle-answer {
  display: none;
  padding: 0 24px 24px 24px;
}
.block-faq__toggle-answer p:last-child {
  margin-bottom: 0;
}
